<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>IdentificationComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/1-identification/identification.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>












            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./identification.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./identification.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#currentStepNumber">currentStepNumber</a>
                            </li>
                            <li>
                                <a href="#identificationForm">identificationForm</a>
                            </li>
                            <li>
                                <a href="#nextStepNumber">nextStepNumber</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#continue">continue</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#createForm">createForm</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#identify">identify</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#quit">quit</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#showErrorDialog">showErrorDialog</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#hasCertificateDocumentation">hasCertificateDocumentation</a>
                                </li>
                                <li>
                                    <a href="#certificateDocumentationUrl">certificateDocumentationUrl</a>
                                </li>
                                <li>
                                    <a href="#certificateDocumentation">certificateDocumentation</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(httpParams: <a href="../injectables/HttpParameters.html">HttpParameters</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, translateService: TranslateService, formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, voteWorkflowViewComponent: <a href="../components/VoteWorkflowViewComponent.html">VoteWorkflowViewComponent</a>, identificationService: <a href="../injectables/IdentificationService.html">IdentificationService</a>, finalizationService: <a href="../injectables/FinalizationService.html">FinalizationService</a>, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>, protocolService: <a href="../injectables/ProtocolService.html">ProtocolService</a>, dialog: MatDialog, documentationService: <a href="../injectables/DocumentationService.html">DocumentationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="50" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:50</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>httpParams</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>voteWorkflowViewComponent</td>
                                                  
                                                        <td>
                                                                    <code><a href="../components/VoteWorkflowViewComponent.html" target="_self" >VoteWorkflowViewComponent</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>identificationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/IdentificationService.html" target="_self" >IdentificationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>finalizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FinalizationService.html" target="_self" >FinalizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>protocolService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ProtocolService.html" target="_self" >ProtocolService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>documentationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/DocumentationService.html" target="_self" >DocumentationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="continue"></a>
                        <span class="name">
                            <b>
                            continue
                            </b>
                            <a href="#continue"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>continue()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="106" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:106</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="createForm"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            createForm
                            </b>
                            <a href="#createForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>createForm()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="77" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:77</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="identify"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            identify
                            </b>
                            <a href="#identify"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>identify(voterId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, cardNumber: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="134" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:134</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>voterId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>cardNumber</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="71" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:71</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="quit"></a>
                        <span class="name">
                            <b>
                            quit
                            </b>
                            <a href="#quit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>quit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="103" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:103</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="showErrorDialog"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            showErrorDialog
                            </b>
                            <a href="#showErrorDialog"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>showErrorDialog(error, titleKey)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="161" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:161</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>error</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>titleKey</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentStepNumber"></a>
                        <span class="name">
                            <b>
                            currentStepNumber
                            </b>
                            <a href="#currentStepNumber"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>currentStepNumber:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:48</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="identificationForm"></a>
                        <span class="name">
                            <b>
                            identificationForm
                            </b>
                            <a href="#identificationForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>identificationForm:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="50" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:50</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nextStepNumber"></a>
                        <span class="name">
                            <b>
                            nextStepNumber
                            </b>
                            <a href="#nextStepNumber"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>nextStepNumber:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:49</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hasCertificateDocumentation"></a>
                        <span class="name"><b>hasCertificateDocumentation</b><a href="#hasCertificateDocumentation"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>hasCertificateDocumentation()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="92" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:92</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="certificateDocumentationUrl"></a>
                        <span class="name"><b>certificateDocumentationUrl</b><a href="#certificateDocumentationUrl"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>certificateDocumentationUrl()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="99" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:99</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="certificateDocumentation"></a>
                        <span class="name"><b>certificateDocumentation</b><a href="#certificateDocumentation"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>certificateDocumentation()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="183" class="link-to-prism">src/app/operation/1-identification/identification.component.ts:183</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../interfaces/Documentation.html" target="_self" >Documentation</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { FormBuilder, FormGroup, Validators } from &quot;@angular/forms&quot;;
import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { TranslateService } from &quot;@ngx-translate/core&quot;;
import { ActivatedRoute, Router } from &quot;@angular/router&quot;;
import { IdentificationService } from &#x27;./identification.service&#x27;;
import { Step, VoteWorkflowViewComponent } from &#x27;../vote-workflow-display/vote-workflow-view.component&#x27;;
import { CurrentVotingService } from &#x27;../current-voting-service&#x27;;
import { HttpRequestErrorProvider } from &#x27;../../core/http/ErrorInterceptor&#x27;;
import { focusOnError } from &#x27;../../core/util/form-utils&#x27;;
import { ProtocolService } from &#x27;../../core/service/protocol.service&#x27;;
import { FinalizationService } from &#x27;../../core/service/finalization.service&#x27;;
import { Documentation } from &#x27;../../model/documentation&#x27;;
import { HttpParameters } from &#x27;../../core/http/http.parameters.service&#x27;;
import { ChvoteDialogComponent } from &#x27;../../core/chvote-dialog/chvote-dialog.component&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { DocumentationService } from &#x27;../../core/service/documentation.service&#x27;;

@Component({
  templateUrl: &#x27;./identification.component.html&#x27;,
  styleUrls: [&#x27;./identification.component.scss&#x27;]
})

export class IdentificationComponent implements OnInit {

  currentStepNumber;
  nextStepNumber;
  identificationForm: FormGroup;

  constructor(private httpParams: HttpParameters,
              private router: Router,
              private route: ActivatedRoute,
              private translateService: TranslateService,
              private formBuilder: FormBuilder,
              private voteWorkflowViewComponent: VoteWorkflowViewComponent,
              private identificationService: IdentificationService,
              private finalizationService: FinalizationService,
              private currentVotingService: CurrentVotingService,
              private protocolService: ProtocolService,
              private dialog: MatDialog,
              private documentationService: DocumentationService) {
    this.createForm();

    // initialize protocol client service
    this.protocolService.initialize(this.currentVotingService.operation.protocolInstanceId);
  }


  ngOnInit() {
    this.currentStepNumber &#x3D; this.voteWorkflowViewComponent.getStepNumber(Step.Identification);
    this.nextStepNumber &#x3D; this.voteWorkflowViewComponent.getStepNumber(Step.LegalInformation);
    this.currentVotingService.lastVisitedPage &#x3D; &#x27;IDENTIFICATION&#x27;;
  }

  private createForm() {
    this.identificationForm &#x3D; this.formBuilder.group({
      cardNumber: [
        null,
        [
          Validators.required,
          Validators.minLength(1)
        ]
      ]
    });
  }

  /**
   * @return true if certification documentation is defined for the operation
   */
  get hasCertificateDocumentation(): boolean {
    return this.certificateDocumentation !&#x3D;&#x3D; undefined;
  }

  /**
   * @return the certification documentation URL
   */
  get certificateDocumentationUrl(): string {
    return this.documentationService.getDocumentationUrl(this.certificateDocumentation.fileIndex);
  }

  quit(): void {
  }

  continue(): void {
    this.identificationForm.controls.cardNumber.markAsTouched();
    this.identificationForm.updateValueAndValidity();

    if (this.identificationForm.valid) {

      let voterIdAndCardNumber &#x3D; this.identificationForm.getRawValue().cardNumber.split(&#x27;:&#x27;);
      let voterId &#x3D; voterIdAndCardNumber[0];
      let cardNumber &#x3D; voterIdAndCardNumber[1];

      // check for finalization log
      this.finalizationService.fetchFinalizationLog(
        this.currentVotingService.operation.protocolInstanceId, voterId).subscribe(finalizationLog &#x3D;&gt; {
        if (finalizationLog) {
          // user has already voted using the internet channel, redirect to the finalization page
          this.router.navigate([&#x27;../finalization&#x27;], {relativeTo: this.route});

        } else {
          // proceed with identification
          this.identify(voterId, cardNumber);
        }
      });

    } else {
      focusOnError(this.identificationForm)
    }
  }

  private identify(voterId: string, cardNumber: string) {
    this.identificationService.identify(this.currentVotingService.operation.protocolInstanceId,
      // TODO replace following commented line after implementation recovery VoterId
      // cardNumber
      voterId
    )
      .subscribe(() &#x3D;&gt; {
        // save card number for ballot encryption
        this.protocolService.identificationCredentials &#x3D; cardNumber;
        this.protocolService.voterId &#x3D; voterId;
        // navigate to legal information page
        this.router.navigate([&#x27;../legalInformation&#x27;], {relativeTo: this.route});
      }, (errorProvider: HttpRequestErrorProvider) &#x3D;&gt; {

        errorProvider
          .onValidationError(/.*(BirthDateCheck|ConfirmationCheck|VerificationCodeRevealed)Exception/, error &#x3D;&gt; {
            this.showErrorDialog(error, &#x27;global.dialogs.title.warning&#x27;);
          })
          .onValidationError(/.*/, error &#x3D;&gt; {
            this.showErrorDialog(error, &#x27;identification.error-dialog.title&#x27;);
        });

      });


  }

  private showErrorDialog(error, titleKey) {
    let messageParams &#x3D; {};
    error.globalErrors[0].messageParams.forEach((param, index) &#x3D;&gt; messageParams[&quot;param&quot; + index] &#x3D; param)

    this.dialog.open(ChvoteDialogComponent, {
      width: &#x27;500px&#x27;,
      disableClose: true,
      data: {
        type: &#x27;warning&#x27;,
        titleKey: titleKey,
        messageKey: &#x60;identification.error-dialog.${error.globalErrors[0].messageKey}&#x60;,
        messageParams: messageParams,
        primaryButtonKey: &#x27;global.actions.close&#x27;
      }
    });
  }

  /**
   * @return the documentation explaining certificate verification; try to get the document in
   * the selected language, use operation&#x27;s default language if not found and finally return
   * &quot;undefined&quot; if no documentation match
   */
  private get certificateDocumentation(): Documentation {
    // search based on selected lang
    let docs: Documentation[] &#x3D; this.currentVotingService.operation.documentations.filter(doc &#x3D;&gt; {
      return doc.type &#x3D;&#x3D;&#x3D; &#x27;CERTIFICATES&#x27; &amp;&amp;
             doc.lang.toLowerCase() &#x3D;&#x3D;&#x3D; this.translateService.currentLang;
    });

    // if not found, search based on default lang
    if (docs.length &#x3D;&#x3D;&#x3D; 0) {
      docs &#x3D; this.currentVotingService.operation.documentations.filter(doc &#x3D;&gt; {
        return doc.type &#x3D;&#x3D;&#x3D; &#x27;CERTIFICATES&#x27; &amp;&amp;
               doc.lang.toLowerCase() &#x3D;&#x3D;&#x3D; this.currentVotingService.operation.defaultLang.toLowerCase();
      });
    }

    return docs.length &gt; 0 ? docs[0] : undefined;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;vote-workflow-view&gt;&lt;/vote-workflow-view&gt;

&lt;h2 id&#x3D;&quot;stepTitle&quot;&gt;
  {{ &#x27;global.step.title-prefix&#x27; | translate:currentStepNumber }}
  {{ &#x27;identification.step-name&#x27; | translate }}
&lt;/h2&gt;

&lt;section role&#x3D;&quot;alert&quot; [innerHTML]&#x3D;&quot;&#x27;identification.description&#x27; | translate&quot;&gt;&lt;/section&gt;

&lt;h3 [innerHTML]&#x3D;&quot;&#x27;identification.card-number.title&#x27; | translate&quot;&gt;&lt;/h3&gt;

&lt;chvote-helper helperLinkKey&#x3D;&quot;identification.card-number.description.image-help&quot;
               helperLinkAccessibilityKey&#x3D;&quot;identification.card-number.description.image-accessibility&quot;&gt;
  &lt;span [innerHTML]&#x3D;&quot;&#x27;identification.card-number.description.text&#x27; | translate&quot;&gt;&lt;/span&gt;
&lt;/chvote-helper&gt;

&lt;section role&#x3D;&quot;main&quot; class&#x3D;&quot;identification-form form-note&quot;&gt;
  &lt;form [formGroup]&#x3D;&quot;identificationForm&quot; novalidate&gt;
    &lt;div&gt;
      &lt;span class&#x3D;&quot;identification-form-input-description&quot; id&#x3D;&quot;inputDescription&quot;&gt;{{&#x27;identification.card-number.field.label&#x27; | translate}}&lt;/span&gt;
      &lt;br&gt;
      &lt;span class&#x3D;&quot;identification-form-input-example&quot;
            [innerHTML]&#x3D;&quot;&#x27;identification.card-number.field.example&#x27; | translate&quot;&gt;&lt;/span&gt;
    &lt;/div&gt;
    &lt;mat-form-field id&#x3D;&quot;matCardNumber&quot; floatLabel&#x3D;never&gt;
      &lt;input matInput
             id&#x3D;&quot;cardNumber&quot;
             formControlName&#x3D;&quot;cardNumber&quot;
             aria-labelledby&#x3D;&quot;inputDescription&quot;
             autocomplete&#x3D;&quot;off&quot;&gt;
      &lt;mat-placeholder [innerHTML]&#x3D;&quot;&#x27;identification.card-number.field.placeholder&#x27; | translate&quot;&gt;&lt;/mat-placeholder&gt;
      &lt;mat-error *ngIf&#x3D;&quot;identificationForm.invalid&quot;&gt;
        &lt;default-errors fieldName&#x3D;&quot;cardNumber&quot; [form]&#x3D;&quot;identificationForm&quot;&gt;&lt;/default-errors&gt;
      &lt;/mat-error&gt;
    &lt;/mat-form-field&gt;
  &lt;/form&gt;
&lt;/section&gt;

&lt;section role&#x3D;&quot;complementary&quot; *ngIf&#x3D;&quot;hasCertificateDocumentation&quot;&gt;
  &lt;a [href]&#x3D;&quot;certificateDocumentationUrl&quot;
     [title]&#x3D;&quot;&#x27;identification.complementary.certificate.accessibility&#x27; | translate&quot;
     target&#x3D;&quot;_blank&quot;&gt;
    &lt;i class&#x3D;&quot;far fa-file-pdf fa-lg&quot;&gt;&lt;/i&gt;
    &lt;abbr class&#x3D;&quot;link-with-icon&quot; [innerHTML]&#x3D;&quot;&#x27;identification.complementary.certificate.text&#x27; | translate&quot;&gt;&lt;/abbr&gt;
  &lt;/a&gt;
&lt;/section&gt;

&lt;section role&#x3D;&quot;complementary&quot;&gt;
  &lt;chvote-expansion-panel accessibilityKey&#x3D;&quot;identification.complementary.title.accessibility&quot;
                          titleKey&#x3D;&quot;identification.complementary.title.text&quot;
                          contentKey&#x3D;&quot;identification.complementary.content&quot;&gt;
  &lt;/chvote-expansion-panel&gt;
&lt;/section&gt;

&lt;nav&gt;
  &lt;button mat-raised-button class&#x3D;&quot;abort&quot; (click)&#x3D;&quot;quit()&quot;&gt;
    &lt;i class&#x3D;&quot;fas fa-times&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
    {{ &#x27;global.actions.quit&#x27; | translate }}
  &lt;/button&gt;
  &lt;div class&#x3D;&quot;button-with-hint&quot;&gt;
    &lt;button mat-raised-button class&#x3D;&quot;primary&quot; (click)&#x3D;&quot;continue()&quot; id&#x3D;&quot;next-step-button&quot;
            aria-describedby&#x3D;&quot;next-step-hint&quot;&gt;
      {{ &#x27;global.actions.continue&#x27; | translate }}
      &lt;i class&#x3D;&quot;fas fa-arrow-right&quot; data-fa-transform&#x3D;&quot;up-1 right-6&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;span id&#x3D;&quot;next-step-hint&quot; class&#x3D;&quot;next-step-hint&quot;&gt;
        {{ &#x27;global.step.next-info&#x27; | translate:nextStepNumber }}{{ &#x27;legal-information.step-name&#x27; | translate }}
    &lt;/span&gt;
  &lt;/div&gt;
&lt;/nav&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./identification.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

form &gt; label {
  text-align: right;
  font-weight: bold;
  padding-right: 20px;
}

form &gt; label &gt; span {
  font-weight: normal;
}

.identification-form {
  justify-content: center;
  flex: 1 1 100%;
  margin-bottom: 10px;
}

.mat-form-field {
  width: 300px;
}

.identification-form-input-description {
  font-weight: bold;
}

@media screen and (min-width: 576px) {
  form {
    flex-direction: row;
  }

  .identification-form-input-description {
    text-align: right;
    float: right;
    margin-right: 24px;
  }

  .identification-form-input-example {
    text-align: right;
    margin-right: 24px;
    float: right;
  }
}

@media screen and (min-width: 970px) {
  .mat-form-field {
    width: 400px;
  }
}


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><vote-workflow-view></vote-workflow-view><h2 id="stepTitle">  {{ \'global.step.title-prefix\' | translate:currentStepNumber }}  {{ \'identification.step-name\' | translate }}</h2><section role="alert" [innerHTML]="\'identification.description\' | translate"></section><h3 [innerHTML]="\'identification.card-number.title\' | translate"></h3><chvote-helper helperLinkKey="identification.card-number.description.image-help"               helperLinkAccessibilityKey="identification.card-number.description.image-accessibility">  <span [innerHTML]="\'identification.card-number.description.text\' | translate"></span></chvote-helper><section role="main" class="identification-form form-note">  <form [formGroup]="identificationForm" novalidate>    <div>      <span class="identification-form-input-description" id="inputDescription">{{\'identification.card-number.field.label\' | translate}}</span>      <br>      <span class="identification-form-input-example"            [innerHTML]="\'identification.card-number.field.example\' | translate"></span>    </div>    <mat-form-field id="matCardNumber" floatLabel=never>      <input matInput             id="cardNumber"             formControlName="cardNumber"             aria-labelledby="inputDescription"             autocomplete="off">      <mat-placeholder [innerHTML]="\'identification.card-number.field.placeholder\' | translate"></mat-placeholder>      <mat-error *ngIf="identificationForm.invalid">        <default-errors fieldName="cardNumber" [form]="identificationForm"></default-errors>      </mat-error>    </mat-form-field>  </form></section><section role="complementary" *ngIf="hasCertificateDocumentation">  <a [href]="certificateDocumentationUrl"     [title]="\'identification.complementary.certificate.accessibility\' | translate"     target="_blank">    <i class="far fa-file-pdf fa-lg"></i>    <abbr class="link-with-icon" [innerHTML]="\'identification.complementary.certificate.text\' | translate"></abbr>  </a></section><section role="complementary">  <chvote-expansion-panel accessibilityKey="identification.complementary.title.accessibility"                          titleKey="identification.complementary.title.text"                          contentKey="identification.complementary.content">  </chvote-expansion-panel></section><nav>  <button mat-raised-button class="abort" (click)="quit()">    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>    {{ \'global.actions.quit\' | translate }}  </button>  <div class="button-with-hint">    <button mat-raised-button class="primary" (click)="continue()" id="next-step-button"            aria-describedby="next-step-hint">      {{ \'global.actions.continue\' | translate }}      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>    </button>    <span id="next-step-hint" class="next-step-hint">        {{ \'global.step.next-info\' | translate:nextStepNumber }}{{ \'legal-information.step-name\' | translate }}    </span>  </div></nav></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'IdentificationComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'IdentificationComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
